• 20180401第九届蓝桥杯题解


    标题:第几天
    
    2000年的1月1日,是那一年的第1天。
    那么,2000年的5月4日,是那一年的第几天?
    
    
    注意:需要提交的是一个整数,不要填写任何多余内容。

    注意1.1是第一天,那么要往后推一天!答案是:124+1=125。

    【代码】:

    #include<iostream>
    #include<algorithm>
    #include<cstdio>
    #include<cstring>
    #include<set>
    #include<map>
    #include<sstream>
    #include<queue>
    #include<stack>
    #include<cmath>
    #include<list>
    #include<vector>
    #include<string>
    
    using namespace std;
    #define  ll long long
    const double PI = acos(-1.0);
    const double eps = 1e-6;
    const int inf = 0x3f3f3f3f;
    const int N = 1005;
    const int mod = 1000;
    int a[N], ans[N];
    int n, m, d;
    /*
    给定一个日期,输出这个日期是该年的第几天。
    */
    int main()
    {
        int y,m,d;
    
        while(cin>>y>>m>>d){
            int c[15] = {0,31,29,31,30,31,30,31,31,30,31,30,31};
            if(y%4!=0 || (y%100==0 && y%400!=0)){
                c[2] = 28;
            }
            int s = 0;
            for(int i=0; i<m; i++){
                s += c[i];
            }
            s += d;
            cout<<s<<endl; //输入2000 5 4 输出125
        }
        return 0;
    }
    HDU原题
    标题:明码
    
    汉字的字形存在于字库中,即便在今天,16点阵的字库也仍然使用广泛。
    16点阵的字库把每个汉字看成是16x16个像素信息。并把这些信息记录在字节中。
    
    一个字节可以存储8位信息,用32个字节就可以存一个汉字的字形了。
    把每个字节转为2进制表示,1表示墨迹,0表示底色。每行2个字节,
    一共16行,布局是:
    
        第1字节,第2字节
        第3字节,第4字节
        ....
        第31字节, 第32字节
    
    这道题目是给你一段多个汉字组成的信息,每个汉字用32个字节表示,这里给出了字节作为有符号整数的值。
    
    题目的要求隐藏在这些信息中。你的任务是复原这些汉字的字形,从中看出题目的要求,并根据要求填写答案。
    
    这段信息是(一共10个汉字):
    4 0 4 0 4 0 4 32 -1 -16 4 32 4 32 4 32 4 32 4 32 8 32 8 32 16 34 16 34 32 30 -64 0 
    16 64 16 64 34 68 127 126 66 -124 67 4 66 4 66 -124 126 100 66 36 66 4 66 4 66 4 126 4 66 40 0 16 
    4 0 4 0 4 0 4 32 -1 -16 4 32 4 32 4 32 4 32 4 32 8 32 8 32 16 34 16 34 32 30 -64 0 
    0 -128 64 -128 48 -128 17 8 1 -4 2 8 8 80 16 64 32 64 -32 64 32 -96 32 -96 33 16 34 8 36 14 40 4 
    4 0 3 0 1 0 0 4 -1 -2 4 0 4 16 7 -8 4 16 4 16 4 16 8 16 8 16 16 16 32 -96 64 64 
    16 64 20 72 62 -4 73 32 5 16 1 0 63 -8 1 0 -1 -2 0 64 0 80 63 -8 8 64 4 64 1 64 0 -128 
    0 16 63 -8 1 0 1 0 1 0 1 4 -1 -2 1 0 1 0 1 0 1 0 1 0 1 0 1 0 5 0 2 0 
    2 0 2 0 7 -16 8 32 24 64 37 -128 2 -128 12 -128 113 -4 2 8 12 16 18 32 33 -64 1 0 14 0 112 0 
    1 0 1 0 1 0 9 32 9 16 17 12 17 4 33 16 65 16 1 32 1 64 0 -128 1 0 2 0 12 0 112 0 
    0 0 0 0 7 -16 24 24 48 12 56 12 0 56 0 -32 0 -64 0 -128 0 0 0 0 1 -128 3 -64 1 -128 0 0 
    
    
    注意:需要提交的是一个整数,不要填写任何多余内容。

    【分析】:将十进制数转换为八位二进制数,然后观察图形。

    #include<iostream>
    #include<algorithm>
    #include<cstdio>
    #include<cstring>
    #include<set>
    #include<map>
    #include<sstream>
    #include<queue>
    #include<stack>
    #include<cmath>
    #include<list>
    #include<vector>
    #include<string>
    #include<bitset>
    using namespace std;
    #define  ll long long
    const double PI = acos(-1.0);
    const double eps = 1e-6;
    const int inf = 0x3f3f3f3f;
    const int N = 1005;
    const int mod = 1000;
    int a[N][N], ans[N];
    int n, m, d;
    /*
    给定10 * 32的二维数组
    将数组中每个十进制数转换为8位二进制
    */
    int main()
    {
        int t = 10;
        while(t--){
            int k = 0;
            memset(a,0,sizeof(a));
            int x;
            for(int i=0; i<32; i++){
                cin>>x;
                for(int i=7; i>=0; i--){ //逆序存入
                    a[k][i] = x&1;
                    x >>= 1;
                }
                k++;
            }
    
            for(int i=0; i<32; i++){
                for(int j=0; j<8; j++){
                    if(a[i][j]) cout<<"*";
                    else cout<<" ";
                }
                if(i%2==1) cout<<endl; //每两个字符代表一个汉字的一行
            }
        }
        return 0;
    }
    进制转换
    #include <bits/stdc++.h>
    using namespace std;
    #define lson l,m,rt<<1
    #define rson m+1,r,rt<<1|1
    #define inf 0x3f3f3f3f
    #define mem(a,b) memset(a,b,sizeof(a))
    typedef long long ll;
    const int N=1000+20;
    const int M=2000+10;
    int a[N],vis[M];
    int main()
    {
        for(int i=0; i<32; i++)
        {
            cin >> a[i];
            for(int j=7; j>=0; j--)
            {
                if(a[i]&(1<<j)) printf("1");
                else printf("0");
            }
            if(i&1) cout<<endl;
        }
        return 0;
    }
    一行一行输入
    标题:乘积尾零
    
    如下的10行数据,每行有10个整数,请你求出它们的乘积的末尾有多少个零?
    
    5650 4542 3554 473 946 4114 3871 9073 90 4329 
    2758 7949 6113 5659 5245 7432 3051 4434 6704 3594 
    9937 1173 6866 3397 4759 7557 3070 2287 1453 9899 
    1486 5722 3135 1170 4014 5510 5120 729 2880 9019 
    2049 698 4582 4346 4427 646 9742 7340 1230 7683 
    5693 7015 6887 7381 4172 4341 2909 2027 7355 5649 
    6701 6645 1671 5978 2704 9926 295 3125 3878 6785 
    2066 4247 4800 1578 6652 4616 1113 6205 3264 2915 
    3966 5291 2904 1285 2193 1428 2265 8730 9436 7074 
    689 5510 8243 6114 337 4096 8199 7313 3685 211 
    
    注意:需要提交的是一个整数,表示末尾零的个数。不要填写任何多余内容。

    【分析】:

    1.

    所有的0都一定是2*5产生的,所以将每个数拆成一堆2乘上一堆5再乘上一个数,之后统计下有多少个2和多少个5,取少的那个就是答案。

    https://blog.csdn.net/nka_kun/article/details/73008599

     本题是求n! 的十进制形式的末尾 0 的个数(n /= 5),类似还有求2进制形式的末尾0的个数,3进制形式末尾0的个数。二进制就是 n /=2 ,三进制就是 n /= 3。

    #include<iostream>
    #include<algorithm>
    #include<cstdio>
    #include<cstring>
    #include<set>
    #include<map>
    #include<sstream>
    #include<queue>
    #include<stack>
    #include<cmath>
    #include<list>
    #include<vector>
    #include<string>
    #include<bitset>
    using namespace std;
    #define  ll long long
    const double PI = acos(-1.0);
    const double eps = 1e-6;
    const int inf = 0x3f3f3f3f;
    const int N = 1005;
    const int mod = 1000;
    int a[N][N], ans[N];
    int n, m, d;
    /*
    计算多个数乘积尾部0的个数
    */
    int main()
    {
        int x, Min = 0x3f3f3f3f;
        int c2 = 0, c5 = 0;
        int t = 100;
        while(t--)
        {
            cin>>x;
            while(x%2==0){
                c2++,x/=2;
            }
            while(x%5==0){
                c5++,x/=5;
            }
        }
        cout<<min(c2, c5)<<endl;
        return 0;
    }
    51nod 原题

    2.java大数

    import java.io.*;
    import java.math.BigDecimal;
    import java.math.BigInteger;
    import java.util.*;
    import java.util.Arrays;
    public class Main {
        public static void main(String[] args) {
            Scanner cin = new Scanner(System.in);
            int n = 100;
            BigInteger ans = new BigInteger("1");
            for(int i=0; i<100; i++)
            {
                BigInteger num = cin.nextBigInteger();
                ans = num.multiply(ans);
                
            }
            System.out.println(ans);
        }
    }
    Java

    3.直接将所有数相乘,然后每乘一个数就把后面0全部去掉记一下,不过中间会爆long long,这个好办,每次乘完只保留后4位非0数字,例如216037就只保留6037。

    标题:测试次数
    
    x星球的居民脾气不太好,但好在他们生气的时候唯一的异常举动是:摔手机。
    各大厂商也就纷纷推出各种耐摔型手机。x星球的质监局规定了手机必须经过耐摔测试,并且评定出一个耐摔指数来,之后才允许上市流通。
    
    x星球有很多高耸入云的高塔,刚好可以用来做耐摔测试。塔的每一层高度都是一样的,与地球上稍有不同的是,他们的第一层不是地面,而是相当于我们的2楼。
    
    如果手机从第7层扔下去没摔坏,但第8层摔坏了,则手机耐摔指数=7。
    特别地,如果手机从第1层扔下去就坏了,则耐摔指数=0。
    如果到了塔的最高层第n层扔没摔坏,则耐摔指数=n
    
    为了减少测试次数,从每个厂家抽样3部手机参加测试。
    
    某次测试的塔高为1000层,如果我们总是采用最佳策略,在最坏的运气下最多需要测试多少次才能确定手机的耐摔指数呢?
    
    请填写这个最多测试次数。
    
    注意:需要填写的是一个整数,不要填写任何多余内容。

    【分析】:搜索关键字:鹰蛋问题

    【代码】:

    https://blog.csdn.net/shujiezhang/article/details/28688729
    
    https://blog.csdn.net/I_am_a_winer/article/details/45419959
    
    http://blog.sina.com.cn/s/blog_3fe961ae0101llmf.html
    #include<iostream>
    #include<algorithm>
    #include<cstdio>
    #include<cstring>
    #include<set>
    #include<map>
    #include<sstream>
    #include<queue>
    #include<stack>
    #include<cmath>
    #include<list>
    #include<vector>
    #include<string>
    #include<bitset>
    using namespace std;
    #define  ll long long
    const double PI = acos(-1.0);
    const double eps = 1e-6;
    const int inf = 0x3f3f3f3f;
    const int N = 1005;
    const int mod = 1000;
    int a[N][N], ans[N];
    int n, m, d;
    /*
    计算多个数乘积尾部0的个数
    */
    ll dp[33][33];//i层楼j个蛋确定的最小次数
    
    void Init()
    {
        for(int i=1;i<=32;i++)
            dp[1][i] = i, dp[i][1] = 1;
        for(int i=2;i<=32;i++)
            for(int j=2;j<=32;j++)
                dp[i][j] = dp[i][j-1] + dp[i-1][j-1] + 1;
    }
    int main()
    {
        int T,K;
        ll N;
        Init();
        scanf("%lld %d",&N,&K);
        {
            int pos = -1;
            for(int i=1;i<=32;i++)
            {
                if(dp[K][i] >= N)
                {
                    pos = i;
                    break;
                }
            }
            if(pos!=-1) printf("%d
    ",pos);
            else printf("Impossible
    ");
        }
        return 0;
    }
    DP
    标题:快速排序。 
    
    以下代码可以从数组a[]中找出第k小的元素。
    
    
    它使用了类似快速排序中的分治算法,期望时间复杂度是O(N)的。
    
    
    请仔细阅读分析源码,填写划线部分缺失的内容。
    
    #include <stdio.h>
    
    int quick_select(int a[], int l, int r, int k) {
        int p = rand() % (r - l + 1) + l;
        int x = a[p];
        {int t = a[p]; a[p] = a[r]; a[r] = t;}
        int i = l, j = r;
        while(i < j) {
            while(i < j && a[i] < x) i++;
            if(i < j) {
                a[j] = a[i];
                j--;
            }
            while(i < j && a[j] > x) j--;
            if(i < j) {
                a[i] = a[j];
                i++;
            }
        }
        a[i] = x;
        p = i;
        if(i - l + 1 == k) return a[i];
        if(i - l + 1 < k) return quick_select( _____________________________ ); //填空
        else return quick_select(a, l, i - 1, k);
    }
        
    int main()
    {
        int a[] = {1, 4, 2, 8, 5, 7, 23, 58, 16, 27, 55, 13, 26, 24, 12};
        printf("%d
    ", quick_select(a, 0, 14, 5));
        return 0;
    }
    
    
    注意:只填写划线部分缺少的代码,不要抄写已经存在的代码或符号。
    答案:quick_select(a, i + 1, r, k - (i - l + 1));
    标题:递增三元组
    
    给定三个整数数组
    A = [A1, A2, ... AN], 
    B = [B1, B2, ... BN], 
    C = [C1, C2, ... CN],
    请你统计有多少个三元组(i, j, k) 满足:
    1. 1 <= i, j, k <= N  
    2. Ai < Bj < Ck  
    
    【输入格式】 
    第一行包含一个整数N。
    第二行包含N个整数A1, A2, ... AN。
    第三行包含N个整数B1, B2, ... BN。
    第四行包含N个整数C1, C2, ... CN。
    
    对于30%的数据,1 <= N <= 100  
    对于60%的数据,1 <= N <= 1000 
    对于100%的数据,1 <= N <= 100000 0 <= Ai, Bi, Ci <= 100000 
    
    【输出格式】
    一个整数表示答案
    
    【样例输入】
    3
    1 1 1
    2 2 2
    3 3 3
    
    【样例输出】
    27

    【分析】:排序+二分/DFS

    #include<cstdio>
    #include<vector>
    using namespace std;
    
    int n, cnt = 0;
    vector<int > v[100005];
    void dfs(int row, int k, int x){
        if(k == n){
            cnt++;
            return;
        }
        for(int i = 0; i < n; i++){
            if(x < v[row][i]) dfs(row + 1, k + 1, v[row][i]);
        }
    }
    int main(){
        scanf("%d", &n);
        for(int i = 0; i < n; i++){
            for(int j = 0; j < n; j++){
                int a;
                scanf("%d", &a);
                v[i].push_back(a);
            }
        }
        for(int i = 0; i < n; i++){
            dfs(1 , 1, v[0][i]);
        }
        printf("%d", cnt);
        return 0;
    }
    dfs
    #include <iostream>  
    #include <cstdio>  
    #include <cstring>  
    #include <algorithm>  
    using namespace std;  
    const int MAXN = 100005;  
    int a[MAXN],b[MAXN],c[MAXN];  
    int n,sum;  
      
    int main()  
    {  
      scanf("%d",&n);  
      for(int i=0;i<n;i++)scanf("%d",&a[i]);  
      for(int i=0;i<n;i++)scanf("%d",&b[i]);  
      for(int i=0;i<n;i++)scanf("%d",&c[i]);  
      sort(a,a+n);  
      sort(b,b+n);  
      sort(c,c+n);  
      sum = 0;  
      for(int i=0;i<n;i++){  
        int x = (lower_bound(a,a+n,b[i]) - a);  
        int y = (n - (upper_bound(c,c+n,b[i]) - c));  
        sum += x*y;  
      }  
      printf("%d
    ",sum);  
      return 0;  
    }  
    可以先对三个数组排序,然后遍历数组b,查找a数组中有多少个小于b[i]的,c数组中有多少个大于b[i]的。
    #include <bits/stdc++.h>
    using namespace std;
    #define lson l,m,rt<<1
    #define rson m+1,r,rt<<1|1
    #define inf 0x3f3f3f3f
    #define mem(a,b) memset(a,b,sizeof(a))
    typedef long long ll;
    const int N=1000+20;
    const int M=100000+10;
    int a[N],b[M],c[M];
    int main()
    {
        int n, x1, x2, sum = 0;
        cin >> n;
        for(int i = 0; i < n; i++)
        {
            cin >> a[i];
        }
        for(int i = 0; i < n; i++)
        {
            cin >> b[i];
        }
        for(int i = 0; i < n; i++)
        {
            cin >> c[i];
        }
        sort(a, a+n);
        sort(b, b+n);
        sort(c, c+n);
        //枚举b[]中的每一个数,
        //然后二分a[]有多少个比它小的,c[]有多少个比它大的,根据乘法原理相乘再累加在一起
        for(int i=0; i<n; i++)
        {
            x1 = upper_bound(a,a+n,b[i])-a;
            x2 = upper_bound(c,c+n,b[i],greater<int>())-c;
            
            sum += x1*x2;
        }
        cout<<sum<<endl;
        return 0;
    }
    精简
    标题:螺旋折线
    
    如图p1.png所示的螺旋折线经过平面上所有整点恰好一次。  
    对于整点(X, Y),我们定义它到原点的距离dis(X, Y)是从原点到(X, Y)的螺旋折线段的长度。  
    
    例如dis(0, 1)=3, dis(-2, -1)=9  
    
    给出整点坐标(X, Y),你能计算出dis(X, Y)吗?
    
    【输入格式】
    X和Y  
    
    对于40%的数据,-1000 <= X, Y <= 1000  
    对于70%的数据,-100000 <= X, Y <= 100000  
    对于100%的数据, -1000000000 <= X, Y <= 1000000000  
    
    【输出格式】
    输出dis(X, Y)  
    
    
    【样例输入】
    0 1
    
    【样例输出】
    3

    【分析】:

    https://blog.csdn.net/sugarbliss/article/details/79799760
    设这些关键点为(0,y);
    
    显然当y > 0,y <= 0两种不同情况,并且(0,y)的dis跟y有关;
    
    这两种情况的每个情况又可分为两种情况。(所以应该是四种情况)。
    
    当y > 0 时:
    
    当abs(x) <= y时,dis(0 , y)=3 * y + (y * y - y) / 2  * 8,所以dis(x , y)=dis(0 , y) + x;
    
    当abs(x) > 时, x  > 0时,dis(x , y) = dis(0 , x) + 2 * x - y。
    
                         x <  0时,dis(x , y) = dis(0 ,-x) + 2 * x + y。 
    
    
    当y <= 0时:
    
    当y-1 <= x <= -y 时,dis(0 , -y) = 7 * -y + (y * y + y)/2 * 8,所以dis(x , y) =dis(0 , y) - x;
    
    当x >- y 或 x< y - 1时,x > 0 时,dis(x,y) = dis(0 , x) - 2 * x - y。
    
                                    x < 0 时,dis(x,y) = dis(0 , -x - 1) - 2 * x + y - 1。
    
    可能有人会担心在这个过程中,数据范围会超出long long,我来分析一下为什么不会超出long long。
    
    首先这个过程可能会超出long long也就是 y * y了,题目给的范围是
    
    -1000000000 <= X, Y <= 1000000000  也就是 -1e9<=x,y<=1e9。
    转载
    标题:日志统计
    
    小明维护着一个程序员论坛。现在他收集了一份"点赞"日志,日志共有N行。其中每一行的格式是:
    
    ts id  
    
    表示在ts时刻编号id的帖子收到一个""。  
    
    现在小明想统计有哪些帖子曾经是"热帖"。如果一个帖子曾在任意一个长度为D的时间段内收到不少于K个赞,小明就认为这个帖子曾是"热帖"。  
    
    具体来说,如果存在某个时刻T满足该帖在[T, T+D)这段时间内(注意是左闭右开区间)收到不少于K个赞,该帖就曾是"热帖"。  
    
    给定日志,请你帮助小明统计出所有曾是"热帖"的帖子编号。  
    
    【输入格式】
    第一行包含三个整数N、D和K。  
    以下N行每行一条日志,包含两个整数ts和id。  
    
    对于50%的数据,1 <= K <= N <= 1000  
    对于100%的数据,1 <= K <= N <= 100000 0 <= ts <= 100000 0 <= id <= 100000  
    
    【输出格式】
    按从小到大的顺序输出热帖id。每个id一行。  
    
    【输入样例】
    7 10 2  
    0 1  
    0 10    
    10 10  
    10 1  
    9 1
    100 3  
    100 3  
    
    【输出样例】
    1  
    3  

    【分析】:

    按id和时间排序,id相同以时间递增的情况排序,然后暴力枚举每个id的赞数,当在规定的时间范围内赞数大于k,标记一下,然后递增输出id就好了

    暴力每个事件,然后每个事件存一下被赞的时间点,直接排序暴力看下相邻k个赞隔得时间是否<D。

    【代码】:

    标题:全球变暖
    
    你有一张某海域NxN像素的照片,"."表示海洋、"#"表示陆地,如下所示:
    
    .......
    .##....
    .##....
    ....##.
    ..####.
    ...###.
    .......
    
    其中"上下左右"四个方向上连在一起的一片陆地组成一座岛屿。例如上图就有2座岛屿。  
    
    由于全球变暖导致了海面上升,科学家预测未来几十年,岛屿边缘一个像素的范围会被海水淹没。具体来说如果一块陆地像素与海洋相邻(上下左右四个相邻像素中有海洋),它就会被淹没。  
    
    例如上图中的海域未来会变成如下样子:
    
    .......
    .......
    .......
    .......
    ....#..
    .......
    .......
    
    请你计算:依照科学家的预测,照片中有多少岛屿会被完全淹没。  
    
    【输入格式】
    第一行包含一个整数N。  (1 <= N <= 1000)  
    以下N行N列代表一张海域照片。  
    
    照片保证第1行、第1列、第N行、第N列的像素都是海洋。  
    
    【输出格式】
    一个整数表示答案。
    
    【输入样例】
    7 
    .......
    .##....
    .##....
    ....##.
    ..####.
    ...###.
    .......  
    
    【输出样例】
    1  

    【搜索】:

    【代码】:

     

    标题:乘积最大
    
    给定N个整数A1, A2, ... AN。请你从中选出K个数,使其乘积最大。  
    
    请你求出最大的乘积,由于乘积可能超出整型范围,你只需输出乘积除以1000000009的余数。  
    
    注意,如果X<0, 我们定义X除以1000000009的余数是负(-X)除以1000000009的余数。
    即:0-((0-x) % 1000000009)
    
    【输入格式】
    第一行包含两个整数N和K。  
    以下N行每行一个整数Ai。  
    
    对于40%的数据,1 <= K <= N <= 100  
    对于60%的数据,1 <= K <= 1000  
    对于100%的数据,1 <= K <= N <= 100000  -100000 <= Ai <= 100000  
    
    【输出格式】
    一个整数,表示答案。
    
    
    【输入样例】
    5 3 
    -100000   
    -10000   
    2   
    100000  
    10000  
    
    【输出样例】
    999100009
    
    再例如:
    【输入样例】
    5 3 
    -100000   
    -100000   
    -2   
    -100000  
    -100000
    
    【输出样例】
    -999999829
    仔细思考你会发现其实最终答案为负数只有两种情况
    ①k=n,这n个数都是负数并且n是奇数
    ②k是奇数,并且这n个数都是负数
    其它情况下答案一定为正或者0
    为什么呢?一个很简单的证明就是如果你结果为负数,那么你一定可以通过少乘一个负数多乘一个正数,或者少乘一个正数多乘一个负数把答案变成正的
    
    然后正数的情况就好办了
    一个很完美的方法就是所有负数取绝对值从大到小排序,所有正数从大到小排序
    然后暴力负数选多少个,中间取个最大的就行了
    但是这样你肯定不能取模,因为取模就错了,然而直接乘会爆long long
    熟练的话你可以写个大整数乘法,不过肯定会超时所以要FFT优化乘法
    不会FFT怎么办?
    还是将所有负数取绝对值从大到小排序,所有正数从大到小排序
    然后一个一个取,每次都取当前最大的数
    如果最后刚好为整数,那完美直接输出
    
    如果最后为负数就说明你要调整一下,也就是少乘一个负数多乘一个正数,或者少乘一个正数多乘一个负数,这个时候你只要比一下哪个更大就应该ok!
    最后一题
  • 相关阅读:
    flash聊天接口文档
    javascript的灵活性
    控件呈现顺序(3)
    javascript弱类型语言
    javascript对象的易变形
    控件生命周期(1)
    看过的最好的js教程
    一个asp.net学习资源
    C#_WinForm捕获未处理的异常
    WebBrowser 加载网页
  • 原文地址:https://www.cnblogs.com/Roni-i/p/8719765.html
Copyright © 2020-2023  润新知